# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /tmp/build/80754af9/combined_recipe, last modified Tue Feb  2 05:15:00 2021
# ------------------------------------------------

package:
  name: google-crc32c
  version: 1.1.2
source:
  sha256: 24f4015fadc35ec4e2d138d89d00c28976ef8217c6cf8264b4c55ae0c89b1fe1
  url: https://github.com/googleapis/python-crc32c/archive/v1.1.2.tar.gz
build:
  number: '0'
  script: /tmp/build/80754af9/google-crc32c_1612242928148/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/bin/python
    -m pip install . -vv
  string: py39h27cfd23_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - binutils_impl_linux-64 2.33.1 he6710b0_7
    - binutils_linux-64 2.33.1 h9595d00_15
    - gcc_impl_linux-64 7.3.0 habb00fd_1
    - gcc_linux-64 7.3.0 h553295d_15
    - ld_impl_linux-64 2.33.1 h53a641e_7
    - libgcc-ng 9.1.0 hdf63c60_0
    - libstdcxx-ng 9.1.0 hdf63c60_0
  host:
    - _libgcc_mutex 0.1 main
    - ca-certificates 2021.1.19 h06a4308_0
    - certifi 2020.12.5 py39h06a4308_0
    - cffi 1.14.4 py39h261ae71_0
    - ld_impl_linux-64 2.33.1 h53a641e_7
    - libcrc32c 1.1.1 he6710b0_2
    - libedit 3.1.20191231 h14c3975_1
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.1.0 hdf63c60_0
    - libstdcxx-ng 9.1.0 hdf63c60_0
    - ncurses 6.2 he6710b0_1
    - openssl 1.1.1i h27cfd23_0
    - pip 20.3.3 py39h06a4308_0
    - pycparser 2.20 py_2
    - python 3.9.1 hdb3f193_2
    - readline 8.1 h27cfd23_0
    - setuptools 52.0.0 py39h06a4308_0
    - sqlite 3.33.0 h62c20be_0
    - tk 8.6.10 hbc83047_0
    - tzdata 2020f h52ac0ba_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7b6447c_3
  run:
    - cffi >=1.0.0
    - libcrc32c >=1.1.1,<1.2.0a0
    - libgcc-ng >=7.3.0
    - python >=3.9,<3.10.0a0
test:
  commands:
    - python -m pip check
  imports:
    - google_crc32c
    - google_crc32c.cffi
  requires:
    - pip
    - python >=3.9,<3.10.0a0
about:
  description: 'google-crc32c wraps the libcrc32c

    <https://github.com/google/crc32c> package, which is a hardware-based

    implementation of the CRC32C hashing algorithm.

    '
  dev_url: https://github.com/googleapis/python-crc32c
  doc_url: https://github.com/googleapis/python-crc32c
  home: https://github.com/googleapis/python-crc32c
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: Python wrapper for a hardware-based implementation of the CRC32C hashing
    algorithm
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - tswast
